MKFS.CRAMFS(8)

BEZEICHNUNG
mkfs.cramfs - ein komprimiertes ROM-Dateisystem erzeugen

ÜBERSICHT

mkfs.cramfs [Optionen] Verzeichnis Datei

BESCHREIBUNG

Dateien in cramfs-Dateisystemen sind mit dem Zlib-Algorithmus seitenweise komprimiert, um zufälligen Lesezugriff zu ermöglichen. Die Metadaten sind nicht komprimiert, werden aber knapper und damit platzsparender als in anderen Dateisystemen dargestellt.

Das Dateisystem ist absichtlich schreibgeschützt, um sein Design zu vereinfachen. Zufälliger Schreibzugriff auf komprimierte Dateien ist schwierig zu implementieren. Mit cramfs wird das Dienstprogramm mkcramfs(8) geliefert, mit dem Sie Dateien in neue cramfs-Images packen können.

Dateigrößen sind auf maximal 16 MB begrenzt.

Die maximale Dateisystemgröße liegt knapp unter 272 MB. Die letzte Datei des Systems muss vor dem 256-MB-Block beginnen, darf aber dahinter enden.

ARGUMENTE

Das Verzeichnis ist die Wurzel des Verzeichnisbaums, aus dem ein komprimiertes Dateisystem erstellt werden soll.

Die Datei enthält das Cram-Dateisystem, welches später eingehängt werden kann.

OPTIONEN

-v
    aktiviert den ausführlichen Modus.

-E
    fasst alle Warnungen, die als Exit-Status von Befehlen ausgegeben werden, als Fehler auf.

-b Blockgröße
    verwendet die angegebene Blockgröße, welche durch die Seitengröße teilbar sein muss.

-e Ausgabe
    verwendet die angegebene Zahl als Ausgabenummer des Systems im Superblock.

-N big, little, host
    verwendet die angegebene Bytereihenfolge. Die Voreinstellung ist host.

-i Datei
    fügt eine Datei in das cramfs-Dateisystem ein.

-n Name
    legt den Namen des Dateisystems fest.

-p
    füllt auf 512 Bytes für den Boot-Code auf.

-s
    Diese Option wird ignoriert. Ursprünglich wurde mit -s die Sortierung der Verzeichniseinträge veranlasst.

-z
    fügt explizite Löcher ein.

-l[=Modus]
    verwendet eine exklusive BSD-Sperre für das Gerät oder die Datei, auf dem/der es agiert. Das optionale Argument Modus kann yes, no (oder 1 und 0) oder nonblock sein. Falls das Argument Modus weggelassen wird, wird standardmäßig yes angenommen. Diese Option setzt die Umgebungsvariable $LOCK_BLOCK_DEVICE außer Kraft. Standardmäßig wird überhaupt keine Sperre gesetzt, dies wird aber empfohlen, um Kollisionen mit Udevd oder anderen Werkzeugen zu vermeiden.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

EXIT-STATUS

0
    Erfolg

8
    Betriebsfehler, beispielsweise konnte kein Speicher zugewiesen werden

SIEHE AUCH

fsck.cramfs(8), mount(8)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das Fehlererfassungssystem auf

VERFÜGBARKEIT

Der Befehl mkfs.cramfs ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.